<?php
	// Author: Jakob Lenfers <jakob@drss.de>

	define('ROSTER_SCREENTABLE',$roster->db->table('ss',$addon['basename']));

	$roster->output['show_header'] = false;  // Disable the roster header
	$roster->output['show_menu'] = false;    // Disable roster menu
	$roster->output['show_footer'] = false;  // Disable roster footer 

	// set the content type for rss
	header('Content-type: application/rss+xml');
	
	// should we include the full images or only the thumbs. Thumbs are default.
	$thumbs = isset($_GET['thumbs'])?$_GET['thumbs']:true;
	
	// get the images
	$sql = "SELECT id, file, caption, disc, ext, catagory FROM " . ROSTER_SCREENTABLE . " WHERE approve = 'YES' ORDER BY id DESC LIMIT 10";
	$result = $roster->db->query($sql);

	// prepare the rss header
	$rss  = "<?xml version='1.0' encoding='utf-8'?>\n";
	$rss .= "<rss version='2.0' xmlns:atom='http://www.w3.org/2005/Atom'>\n";
	$rss .= "\t<channel>\n";
	$rss .= "\t\t<title>WoWRoster Gallery</title>\n";
	$rss .= "\t\t<link>" . ROSTER_URL . "index.php?p=util-RosterGallery</link>\n";
	$rss .= "\t\t<description>RSS feed of the ten newest items in the WoWRoster Gallery</description>\n";
	$rss .= "\t\t<atom:link href='" . ROSTER_URL . "index.php?p=util-RosterGallery-rss' rel='self' type='application/rss+xml' />";
	$rss .= "\t\t<language>en-us</language>\n";

	// create the rss items
	while($row = mysql_fetch_array($result)){
		$image = $addon['url_full'] . "screenshots/" . $row['catagory'] . "/" . $row['file'] . "." . $row['ext'];
		$thumb = $addon['url_full'] . "screenshots/thumbs" . "/" . $row['file'] . "-thumb." . $row['ext'];		$rss .= "\t\t<item>\n";
		$rss .= "\t\t\t<title>" . (empty($row['caption'])?"No Title":$row['caption']) . "</title>\n";
		$rss .= "\t\t\t<link>" . $image . "</link>\n";
		$rss .= "\t\t\t<guid>" . $image . "</guid>\n";
		$rss .= "\t\t\t<category>" . $addon['config']['rg_' . $row['catagory']] . "</category>\n";
		$rss .= "\t\t\t<description><![CDATA[<a href='${image}'><img src='" . ($thumbs?$thumb:$image) . "' /></a><br />" . $row['disc'] . "]]></description>\n";
		$rss .= "\t\t</item>\n";
	}

	// close up the rss feed
	$rss .= "\t</channel>\n";
	$rss .= "</rss>";

	echo $rss;
?>
